<?php

require_once "DB.php";

# parameters for connecting to the "internDB" database
	$driver = "mysqli";
	$user = "root";
	$password = "";
	$host = "localhost";
	$db = "cataloger";
# DSN constructed from parameters
	$dsn = $driver . "://" . $user . ":" . $password . "@" . $host . "/";
	
#Establishes connection to the Database
	$conn =& DB::connect ($dsn);
	
	//this shouldn't trigger, it should have died before this script is run
	//but just incase, lets not flood the user with errors
	if (DB::isError ($conn)) die ("Cannot connect: " . $conn->getMessage () . "\n");

$database_drop = 'DROP DATABASE IF EXISTS cataloger';
$database_create = 'CREATE DATABASE cataloger DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci';

$books = "CREATE TABLE books (
				ID INT NOT NULL AUTO_INCREMENT,
				title VARCHAR(50) NOT NULL,
				author VARCHAR(50) NOT NULL,
				isbn VARCHAR(20) NULL,
				pages INT(4) NULL,
				cd ENUM ('Y', 'N') DEFAULT 'N' NULL,
				cond VARCHAR(15) NOT NULL,
				PRIMARY KEY(ID))ENGINE=InnoDB";

$music = "CREATE TABLE music (
				ID INT NOT NULL AUTO_INCREMENT,
				title VARCHAR(50) NOT NULL,
				artist VARCHAR(50) NOT NULL,
				release_year VARCHAR(4) NULL,
				parental_advisory ENUM('Y', 'N') DEFAULT 'N' NULL,
				cond VARCHAR(15) NOT NULL,
				PRIMARY KEY(ID))ENGINE=InnoDB";

$movies = "CREATE TABLE movies (
				ID INT NOT NULL AUTO_INCREMENT,
				title VARCHAR(50) NOT NULL,
				director VARCHAR(50) NULL,
				actor VARCHAR(50) NULL,
				producer VARCHAR(50) NULL,
				release_year VARCHAR(4) NULL,
				rating VARCHAR(5) NOT NULL,
				cond VARCHAR(15) NOT NULL,
				PRIMARY KEY(ID))ENGINE=InnoDB";

$software = "CREATE TABLE software (
				ID INT NOT NULL AUTO_INCREMENT,
				title VARCHAR(50) NOT NULL,
				creator VARCHAR(50) NULL,
				release_year VARCHAR(4) NULL,
				type VARCHAR(20) NOT NULL,
				media VARCHAR(20) NOT NULL,
				discs VARCHAR(2) NULL,
				cond VARCHAR(15) NOT NULL,
				PRIMARY KEY(ID))ENGINE=InnoDB";

$games = "CREATE TABLE games (
				ID INT NOT NULL AUTO_INCREMENT,
				title VARCHAR(50) NOT NULL,
				design_studio VARCHAR(50) NULL,
				release_year VARCHAR(20) NULL,
				rating VARCHAR(20) NOT NULL,
				cond VARCHAR(15) NOT NULL,
				PRIMARY KEY(ID))ENGINE=InnoDB";

$misc = "CREATE TABLE misc (
				ID INT NOT NULL AUTO_INCREMENT,
				name VARCHAR(50) NOT NULL,
				description TEXT NOT NULL,
				cond VARCHAR(15) NOT NULL,
				PRIMARY KEY(ID))ENGINE=InnoDB";

$conn->query($database_drop);
$conn->query($database_create);

$dsn = $driver . "://" . $user . ":" . $password . "@" . $host . "/" . $db;
$conn =& DB::connect ($dsn);
if (DB::isError ($conn)) die ("Cannot connect: " . $conn->getMessage () . "\n");

$conn->query($books);
$conn->query($music);
$conn->query($movies);
$conn->query($software);
$conn->query($games);
$conn->query($misc);

$conn->disconnect();

echo "<script>window.location = 'index.php'</script>";
?>